Bug 520319 - Each available update appears twice in update viewer
Summary: Each available update appears twice in update viewer
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-packagekit
Version: 10
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-30 15:39 UTC by Frédéric
Modified: 2009-11-22 14:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-18 13:46:44 UTC


Attachments (Terms of Use)
Results list (115.51 KB, image/png)
2009-08-30 15:39 UTC, Frédéric
no flags Details

Description Frédéric 2009-08-30 15:39:40 UTC
Created attachment 359198 [details]
Results list

Description of problem:
Using the "update" button when gnome-packagekit is already searching for updated packages results in duplicated entries.

Version-Release number of selected component (if applicable):
0.3.14-1

How reproducible:

Steps to Reproduce:
1. Launch the update viewer
2. Click on the "update" button
3. Visualize available updates list.
  
Actual results:
Each available update appears twice

Expected results:
Each available update appears once

Additional info:
http://misdre.free.fr/fedora/first-step-gpk.png - step 2

Comment 1 TK009 2009-10-30 19:15:16 UTC
I believe this problem was resolved a while ago. Can you still reproduce the error? Are you able to try it on F11 or rawhide to confirm it still exists?



TK009
-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 2 Bug Zapper 2009-11-18 12:54:38 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 TK009 2009-11-18 13:46:44 UTC
We're assuming the problem is either no longer present in the current Fedora release, or that there is no longer any interest in tracking the problem. 

Setting status to "CLOSED: INSUFFICIENT_DATA". If you still experience this problem after updating to our latest Fedora release and can provide the information previously requested, please feel free to reopen the bug report.


TK009
---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 4 Frédéric 2009-11-22 14:17:46 UTC
(In reply to comment #1)
> I believe this problem was resolved a while ago. Can you still reproduce the
> error? Are you able to try it on F11 or rawhide to confirm it still exists?
> 
> 
> 
> TK009
> -- 
> Fedora Bugzappers volunteer triage team
> https://fedoraproject.org/wiki/BugZappers  

I tried to reproduce the error on F11 and F12. 

The problem is no longer present since there is no "update" button in both of these version.

Thanks !


Note You need to log in before you can comment on or make changes to this bug.